import request from '@/utils/request'

// 月度汇总-列表
export function getList(params) {
  return request({
    url: '/daily/summary/month/list',
    method: 'get',
    params
  })
}
// 月度汇总
export function getMonthDo() {
  return request({
    url: '/daily/summary/month/do',
    method: 'post'
  })
}
// 月度汇总网点-列表
export function getWebsiteList(params) {
  return request({
    url: '/daily/summary/month/website/list',
    method: 'get',
    params
  })
}
// 师傅汇总-月结
export function getWorkerList(params) {
  return request({
    url: '/daily/summary/worker/month/list',
    method: 'get',
    params
  })
}
// 月度结算师傅详情-列表
export function getMonthDetailList(params) {
  return request({
    url: '/daily/summary/month/detail/list',
    method: 'get',
    params
  })
}
// 月度计算费用
export function getMonthSalaryCalculate(params) {
  return request({
    url: '/daily/summary/month/salary/calculate',
    method: 'post',
    params
  })
}
// 月度师傅汇总-导出
export function getMonthExport(params) {
  return request({
    url: '/daily/summary/month/salary/export',
    method: 'get',
    params
  })
}
// 月度工资-发放
export function getMonthIssue(params) {
  return request({
    url: '/daily/summary/month/salary/issue',
    method: 'post',
    params
  })
}
// 重新汇总
export function getMonthRedo(params) {
  return request({
    url: '/daily/summary/month/reDo',
    method: 'post',
    params
  })
}
